### Signal

# GUPnP ControlPoint::service-proxy-unavailable

#### Declaration

    void
    service_proxy_unavailable (
      GUPnPControlPoint* self,
      GUPnPServiceProxy* proxy,
      gpointer user_data
    )

#### Description [src]

The ::service-proxy-unavailable signal is emitted whenever a service is not available any more.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`proxy` | `GUPnPServiceProxy`
| The now unavailable `GUPnPServiceProxy`.
| The data is owned by the caller of the function.